import 'package:dartz/dartz.dart';
import '../../../core/error/failures.dart';
import '../../repositories/trading_repository.dart';

class GetCurrentPrice {
  final TradingRepository repository;

  GetCurrentPrice(this.repository);

  Future<Either<Failure, String>> call() async {
    return await repository.getCurrentPrice();
  }
}
